<?php
/**
 *
 *  Codename: ant-ng - generator of sources.list for Debian and
 *  distributives, based on Debian
 *  http://alex-w.org.ru/p/antng/
 *
 *  Copyright (c) 2009 Alexander Wolf
 *  Dual licensed under the MIT and GNU LGPL licenses.
 *  http://alex-w.org.ru/p/antng/license
 *
 */

require_once dirname(__FILE__)."/init.php";

if(!empty($_GET["action"])) {
    $action = $_GET["action"];
} else {
    $action = "view";
}
if(!empty($_GET["mode"])) {
    $mode = $_GET["mode"];
} else {
    $mode = "empty";
}

$uuid = $secure->checkInt($_GET["uuid"]);

$valid = $core->checkCookieSign($_COOKIE[$cookie]);

$scripts  = "<script type='text/javascript'>";
$scripts .= "function chooseClkMenu(param){                
            }";
$scripts .= "</script>";

$menu  = "<fieldset><legend>Меню</legend>\n";
$menu .= "<div id='rmenu'></div>\n";
$menu .= "<ul class='vfix'><li><a href='#' onClick='chooseClkMenu(1);'>Дистрибутив</a></li>";
$menu .= "<li><a href='#' onClick='chooseClkMenu(2);'>Версии</a></li>";
$menu .= "<li><a href='#' onClick='chooseClkMenu(3);'>Репозитории</a></li>";
$menu .= "<li><a href='#' onClick='chooseClkMenu(4);'>Профиль</a></li></ul>";
$menu .=" </fieldset>\n";

$tmpl->assign('scripts', $scripts);
$tmpl->assign('menu', $menu);

switch ($mode) {
    case 'empty':
        if ($valid["ERR"]==1)  {
            $tmpl->assign('header', "Вход");
            $tmpl->assign('description', "Вход в панель управления генератором");
            $tmpl->assign('body', $core->showSigninForm());
            $tmpl->display('default.tpl');
        } else {
            $tmpl->assign('header', "Манипулятор");
            $tmpl->assign('description', "Панель управления генератором");       
            $tmpl->assign('body', $body);
            $tmpl->display('manager.tpl');
        }        
        break;
    case 'exit':
        setcookie($cookie, '', time()-10);
        header("Location: ./\n\n");
        break;
    case 'distribution':
        // Управление дистрибутивами
        break;
}

?>
